X
點擊此處開啟此網站的行動版。

技術支援討論區

How do I delete old plugins?

Loy
已張貼

Just recently gotten back into using Firefox. Have been using Chrome. Firefox has one thing that Chrome doesn't have. So I see a number of old Plugs Ins from back when. How do I delete them. I've set to Never Activate. After each Plug In shows RESEARCH. But I don't want to research...I want to delete the old ones. So where do I go from here?

Just recently gotten back into using Firefox. Have been using Chrome. Firefox has one thing that Chrome doesn't have. So I see a number of old Plugs Ins from back when. How do I delete them. I've set to Never Activate. After each Plug In shows RESEARCH. But I don't want to research...I want to delete the old ones. So where do I go from here?

被選擇的解決方法

That's it my friend. I only moved the old *.dll and *.ocx files to a different directory, deleted the old executables, and rebooted FF. And voila, it worked perfectly without re-installing anything. Thanks for the help.

從原來的回覆中察看解決方案 1

額外的系統細節

已安裝的外掛程式

  • Shockwave Flash 11.9 r900
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.05

應用程式

  • Firefox 25.0
  • 使用者代理:Mozilla/5.0 (Windows NT 6.3; WOW64; rv:25.0) Gecko/20100101 Firefox/25.0
  • 技術支援網址:https://support.mozilla.org/1/firefox/25.0/WINNT/en-US/

擴充套件

  • Auto-Sort Bookmarks 2.1 (sortbookmarks@bouanto)
  • Cookie Controller 2.9 ({ac2cfa60-bc96-11e0-962b-0800200c9a66})
  • LastPass 2.0.20 (support@lastpass.com)
  • Troubleshooter 1.1a (troubleshooter@mozilla.org)

JavaScript

  • incrementalGCEnabled: True

圖形

  • adapterDescription: Intel(R) HD Graphics 4600
  • adapterDescription2:
  • adapterDeviceID: 0x0412
  • adapterDeviceID2:
  • adapterDrivers: igdumdim64 igd10iumd64 igd10iumd64 igdumdim32 igd10iumd32 igd10iumd32
  • adapterDrivers2:
  • adapterRAM: Unknown
  • adapterRAM2:
  • adapterVendorID: 0x8086
  • adapterVendorID2:
  • direct2DEnabled: True
  • directWriteEnabled: True
  • directWriteVersion: 6.3.9600.16384
  • driverDate: 9-9-2013
  • driverDate2:
  • driverVersion: 10.18.10.3304
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'direct2d', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'direct2d', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • webglRenderer: Google Inc. -- ANGLE (Intel(R) HD Graphics 4600 Direct3D9Ex vs_3_0 ps_3_0)
  • windowLayerManagerRemote: False
  • windowLayerManagerType: Direct3D 10

修改過的偏好設定

  • browser.cache.disk.capacity: 358400
  • browser.cache.disk.smart_size.first_run: False
  • browser.cache.disk.smart_size.use_old_max: False
  • browser.cache.disk.smart_size_cached_value: 358400
  • browser.places.smartBookmarksVersion: 4
  • browser.sessionstore.upgradeBackup.latestBuildID: 20131025151332
  • browser.startup.homepage: chrome://lastpass/content/home2.xul
  • browser.startup.homepage_override.buildID: 20131025151332
  • browser.startup.homepage_override.mstone: 25.0
  • browser.tabs.warnOnClose: False
  • dom.mozApps.used: True
  • extensions.lastAppVersion: 25.0
  • gfx.direct3d.last_used_feature_level_idx: 0
  • network.cookie.prefsMigrated: True
  • places.history.expiration.transient_current_max_pages: 104858
  • plugin.disable_full_page_plugin_for_types: application/pdf
  • plugin.importedState: True
  • plugin.state.np_wtapp: 0
  • plugin.state.npadobeaamdetect: 0
  • plugin.state.npgoogleupdate: 0
  • plugin.state.npintelwebapiipt: 0
  • plugin.state.npintelwebapiupdater: 0
  • plugin.state.npitunes: 0
  • plugin.state.nplastpass: 0
  • plugin.state.nppokkidownloadhelper: 0
  • plugin.state.npqtplugin: 2
  • plugin.state.npwlpg: 0
  • privacy.sanitize.migrateFx3Prefs: True

其他

  • User JS: 否
  • 輔助功能: 是
Curtis Parfitt-Ford 33 個解決方法 363 個答案

Hi,

In order to uninstall a possibly unwanted extension, please do the following:

  1. From the Firefox window click the Firefox button at the top left and select Add-ons, or, if the Firefox button is not shown, click the Tools menu and click Add-ons.
  2. Once the Add-on Manager has opened in a new tab, click the Extensions button on the left side of the window.
  3. You should now see a list of your installed extensions on the right side together with buttons on the right side of each extension.
  4. To remove an extension from Firefox, simply click the Remove button. You should see a message that informs you about the successful removal of the add-on.
  5. Note that some add-ons require a Firefox restart to be removed completely. To perform a Firefox restart after the add-on removal, click the Restart now link in the message.

You can find further information about uninstalling extensions in the following articles:

Disable or remove Add-ons

Remove a toolbar that has taken over your Firefox search or home page

Hope this helps!

Curtis

Hi, In order to uninstall a possibly unwanted extension, please do the following: #From the Firefox window click the Firefox button at the top left and select ''Add-ons'', or, if the Firefox button is not shown, click the ''Tools'' menu and click ''Add-ons''. #Once the Add-on Manager has opened in a new tab, click the ''Extensions'' button on the left side of the window. #You should now see a list of your installed extensions on the right side together with buttons on the right side of each extension. #To remove an extension from Firefox, simply click the ''Remove'' button. You should see a message that informs you about the successful removal of the add-on. #Note that some add-ons require a Firefox restart to be removed completely. To perform a Firefox restart after the add-on removal, click the ''Restart now'' link in the message. You can find further information about uninstalling extensions in the following articles: [[Disable or remove Add-ons]] [[Remove a toolbar that has taken over your Firefox search or home page]] Hope this helps! Curtis
Curtis Parfitt-Ford 33 個解決方法 363 個答案

Oops, I sent the last post twice.

Oops, I sent the last post twice.

由 Curtis Parfitt-Ford 於 修改

cor-el
  • Top 10 Contributor
  • Moderator
16606 個解決方法 149981 個答案

Firefox finds most plugins via a registry scan.

Note that Google Chrome also has a "chrome://plugins/" page (about:plugins redirects to this page) where you can enable and disable plugins.

Firefox finds most plugins via a registry scan. *https://developer.mozilla.org/Adding_Extensions_using_the_Windows_Registry#Plugins *https://developer.mozilla.org/Gecko_Plugin_API_Reference/Plug-in_Basics#How_Gecko_Finds_Plug-ins Note that Google Chrome also has a "chrome://plugins/" page (about:plugins redirects to this page) where you can enable and disable plugins.

提出問題者

Perhaps the fact that I'm in Windows 8.1 makes a difference. I know it use to be you could delete a plug in or add-on directly from the add on page. But my Add ons Page only has "always activate" or "Never Activate". Nothing about Deleting. In my searching so far I've found nothing about this. So I'm still needing assistance. Many thanks.

Perhaps the fact that I'm in Windows 8.1 makes a difference. I know it use to be you could delete a plug in or add-on directly from the add on page. But my Add ons Page only has "always activate" or "Never Activate". Nothing about Deleting. In my searching so far I've found nothing about this. So I'm still needing assistance. Many thanks.
cor-el
  • Top 10 Contributor
  • Moderator
16606 個解決方法 149981 個答案

有幫助的回覆

You have never been able to delete plugins from the "Firefox/Tools > Add-ons > Plugins" page. You can only do that with extensions that you have installed yourself (globally installed extensions can only be disabled).

Plugins are added by other program and can only be disabled in Firefox and need to be removed by uninstalling this software or disabling them in that software.

You have never been able to delete plugins from the "Firefox/Tools > Add-ons > Plugins" page. You can only do that with extensions that you have installed yourself (globally installed extensions can only be disabled). Plugins are added by other program and can only be disabled in Firefox and need to be removed by uninstalling this software or disabling them in that software.
James
  • Top 25 Contributor
  • Moderator
1492 個解決方法 10413 個答案

Short answer, Extensions and Themes are installed in Firefox, while Plugins are not.

Short answer, Extensions and Themes are installed in Firefox, while Plugins are not.
geonuine 1 個解決方法 6 個答案

有幫助的回覆

I think what the original poster's question is referring to, is the inability to delete old versions of the same plugin, or those versions that are up-to-date, but Firefox somehow chooses to 'offer' them as 'Ask to Activate' and 'Never Activate' only. This has recently started to pile up in my Add-Ons/ Plug-in container as well and is a bit annoying. Well, for those who like to be tidy :)

The solution previously offered on here, to delete registry keys, does NOT work for duplicate plug-ins with different versions. I have not tried yet, to remove the registry key and then re-install, to see whether the latest version only will appear in the plug-in list.

The other example is my Java Deployment Kit. No duplicate older version, but it *constantly* shows 'Ask to Activate' and to be careful with the extension, although it's the same version as the Java Platform plug-in. Luckily, FF offers to remember the 'Allow' for each site, so it's not that big of a bother. The only thing I noticed is too many 'unresponsive' scripts on web pages, but have no idea these events are connected.

So, if we are communicating now better (hopefully with the attached pictures), why is FF doing this, and is it something that developers can look into. That's what I like to know.

Thanks guys.

I think what the original poster's question is referring to, is the inability to delete old versions of the same plugin, or those versions that are up-to-date, but Firefox somehow chooses to 'offer' them as 'Ask to Activate' and 'Never Activate' only. This has recently started to pile up in my Add-Ons/ Plug-in container as well and is a bit annoying. Well, for those who like to be tidy :) The solution previously offered on here, to delete registry keys, does NOT work for duplicate plug-ins with different versions. I have not tried yet, to remove the registry key and then re-install, to see whether the latest version only will appear in the plug-in list. The other example is my Java Deployment Kit. No duplicate older version, but it *constantly* shows 'Ask to Activate' and to be careful with the extension, although it's the same version as the Java Platform plug-in. Luckily, FF offers to remember the 'Allow' for each site, so it's not that big of a bother. The only thing I noticed is too many 'unresponsive' scripts on web pages, but have no idea these events are connected. So, if we are communicating now better (hopefully with the attached pictures), why is FF doing this, and is it something that developers can look into. That's what I like to know. Thanks guys.
ZariahArt 0 個解決方法 24 個答案

thanks cor-el!glad to know about plugins being different case. Can you tell us how to uninstalling this software as desired? EG. i want to uninstall that risky Java deployment toolkit. thanks :)!

thanks cor-el!glad to know about plugins being different case. Can you tell us how to uninstalling this software as desired? EG. i want to uninstall that risky Java deployment toolkit. thanks :)!
geonuine 1 個解決方法 6 個答案

He just wrote the answer to that:

"Plugins are added by other program and can only be disabled in Firefox and need to be removed by uninstalling this software or disabling them in that software. "

That means, you need to uninstall Java and JavaFX / Java Deployment Kit completely, and then re-install. Whether the problem is going to go away, I have no idea. I'm waiting until someone else tries :)

He just wrote the answer to that: "Plugins are added by other program and can only be disabled in Firefox and need to be removed by uninstalling this software or disabling them in that software. " That means, you need to uninstall Java and JavaFX / Java Deployment Kit completely, and then re-install. Whether the problem is going to go away, I have no idea. I'm waiting until someone else tries :)
coatli 2 個解決方法 101 個答案

I'm not sure sure about that, geon. For one thing, the previous answer was only repeating the question. ;) But mainly, your second paragraph, which does address the question, may not actually be desireable. I found from other sites that I could simply:

go into my programs, and/or my Windows system folder and delete the 

npdeployjava1.dll file.

I did this, and it worked perfectly! :) Hope this helps!

I'm not sure sure about that, geon. For one thing, the previous answer was only repeating the question. ;) But mainly, your second paragraph, which does address the question, may not actually be desireable. I found from other sites that I could simply: go into my programs, and/or my Windows system folder and delete the npdeployjava1.dll file. I did this, and it worked perfectly! :) Hope this helps!
alicg 0 個解決方法 1 個答案

I had a similar problem, but with the shockwave flash player.

In the plugins-section, I had two versions of the shockwave flash player - 12.0 and 11.3 - and I only wanted 12.0. When I disabled the older version, the newer was also disabled.

I tried uninstalling flash player, and then re-install it, but the two different plugins were still there.

Then I went to about:plugins, and found the folder where the old shockwave plugin were - something like this:

  • path: C:\Windows\SysWOW64\Macromed\Flash\NPSWF32_12_0_0_70.dll

I discovered two flashplayerplugin.exe-files in that folder - both the new and the old. I then uninstalled again, and updated the folder; only the new .exe-file was removed. Then I deleted the folder (called flash), and re-installed flash player, and voila, problem solved. Now I only have the newest flash player.

And when you're at it, check the programfiles-folder and delete that too after uninstalling, so that there is no more old files lurking around.

Hope this helps! :)

I had a similar problem, but with the shockwave flash player. In the plugins-section, I had two versions of the shockwave flash player - 12.0 and 11.3 - and I only wanted 12.0. When I disabled the older version, the newer was also disabled. I tried uninstalling flash player, and then re-install it, but the two different plugins were still there. Then I went to about:plugins, and found the folder where the old shockwave plugin were - something like this: * path: '''C:\Windows\SysWOW64\Macromed\Flash\'''NPSWF32_12_0_0_70.dll I discovered two flashplayerplugin.exe-files in that folder - both the new and the old. I then uninstalled again, and updated the folder; only the new .exe-file was removed. Then I deleted the folder (called flash), and re-installed flash player, and voila, problem solved. Now I only have the newest flash player. And when you're at it, check the programfiles-folder and delete that too after uninstalling, so that there is no more old files lurking around. Hope this helps! :)
geonuine 1 個解決方法 6 個答案

選擇的解決方法

That's it my friend. I only moved the old *.dll and *.ocx files to a different directory, deleted the old executables, and rebooted FF. And voila, it worked perfectly without re-installing anything. Thanks for the help.

That's it my friend. I only moved the old *.dll and *.ocx files to a different directory, deleted the old executables, and rebooted FF. And voila, it worked perfectly without re-installing anything. Thanks for the help.
geonuine 1 個解決方法 6 個答案

Yup. This helped! There was three identical files in three different locations, so I renamed all except the one with the latest date (*.dll.old) and it worked like a charm. Thanks.

Yup. This helped! There was three identical files in three different locations, so I renamed all except the one with the latest date (*.dll.old) and it worked like a charm. Thanks.

由 geonuine 於 修改